Topic
  • 16 replies
  • Latest Post - ‏2012-10-16T12:49:04Z by RDzJohn
SystemAdmin
SystemAdmin
253 Posts

Pinned topic RDZuT Installation - InstallAnyWhere

‏2012-06-20T16:40:59Z |
Hi guys,

I've got the ADCD Installation DVDs.

I am installing on CentOS 6.2/RHEL 6.2 "DVD 1 Server Install" which contains the file RDzUT803-wizard.bin to then deploy z1090 but I am getting this error:
root@localhost RDz803UT_server# ./RDzUT803-wizard.bin
Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...

Launching installer...
Graphical installers are not supported by the VM. The console mode will be used instead...

Preparing CONSOLE Mode Installation...

===============================================================================
Choose Locale...


1- Deutsch
->2- English
3- Español
4- Français
5- Português (Brasil)
Installer user interface is not compatible.
I tried it on Opensuse 11.3 and its working fine but I still need to install it on CentOS 6.2/RHEL 6.2. I would need specific instructions for run it. I think its a problem with InstallAnywhere installer. I know its running with Java, so the differences between my Suse and CentOS is:

CentOS 6.2 :
java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.3) (rhel-1.48.1.11.3.el6_2-x86_64)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)
Open Suse 11.3

java version "1.6.0_17"
OpenJDK Runtime Environment (IcedTea6 1.7.3) (suse-7.3-x86_64)
OpenJDK 64-Bit Server VM (build 14.0-b16, mixed mode)
I know RDZuT has been tested under those environments, so please I need some help on thaht.

Regarsds
Updated on 2012-10-16T12:49:04Z at 2012-10-16T12:49:04Z by RDzJohn
  • RDzJohn
    RDzJohn
    273 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-20T16:54:33Z  
    You have at least two problems here. First, you cannot install on CentOS or suSe 11.3. RD&T is not supported in these environments. We support RHEL 6.0, 6.1, and 6.2, OpenSuSE 11.2, and SLES 11.0, 11.1, and 11.2. Second, you must install the legacy 32 bit support when you install the Linux. They are no longer installed by default. The RD&T installer requires the 32 bit support in order to run. You also need all X server packages. Installs of RD&T are not supported in Console mode. We only support Graphical mode. We intend to change this in the future, but for now, this is what is supported.

    RdzJohn
  • RDzJohn
    RDzJohn
    273 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-20T16:55:11Z  
    You have at least two problems here. First, you cannot install on CentOS or OpenSuSE 11.3. RD&T is not supported in these environments. We support RHEL 6.0, 6.1, and 6.2, OpenSuSE 11.2, and SLES 11.0, 11.1, and 11.2. Second, you must install the legacy 32 bit support when you install the Linux. They are no longer installed by default. The RD&T installer requires the 32 bit support in order to run. You also need all X server packages. Installs of RD&T are not supported in Console mode. We only support Graphical mode. We intend to change this in the future, but for now, this is what is supported.

    RdzJohn
  • SystemAdmin
    SystemAdmin
    253 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-20T17:16:47Z  
    • RDzJohn
    • ‏2012-06-20T16:55:11Z
    You have at least two problems here. First, you cannot install on CentOS or OpenSuSE 11.3. RD&T is not supported in these environments. We support RHEL 6.0, 6.1, and 6.2, OpenSuSE 11.2, and SLES 11.0, 11.1, and 11.2. Second, you must install the legacy 32 bit support when you install the Linux. They are no longer installed by default. The RD&T installer requires the 32 bit support in order to run. You also need all X server packages. Installs of RD&T are not supported in Console mode. We only support Graphical mode. We intend to change this in the future, but for now, this is what is supported.

    RdzJohn
    is not it supported by Open Suse 11.3 ? I've seen it on the IBM page: " This release of zPDT has been built on RHEL 6.0, 6.1, and openSUSE 11.3 libraries"

    So do you recommend me to use Open suse instead of CentOS ? I've talked with red hat engineers and they told me CentOS 6.2 is exactly the same than RHEL 6.2 release.

    What should I do?

    Thanks a lot for your help.
  • RDzJohn
    RDzJohn
    273 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-20T17:23:13Z  
    is not it supported by Open Suse 11.3 ? I've seen it on the IBM page: " This release of zPDT has been built on RHEL 6.0, 6.1, and openSUSE 11.3 libraries"

    So do you recommend me to use Open suse instead of CentOS ? I've talked with red hat engineers and they told me CentOS 6.2 is exactly the same than RHEL 6.2 release.

    What should I do?

    Thanks a lot for your help.
    http://www-01.ibm.com/software/rational/products/devtest/systemz/sysreq/?S_CMP=rnav

    We have done no testing beyond those OS's listed here.

    RDzJohn
  • SystemAdmin
    SystemAdmin
    253 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-20T17:31:54Z  
    • RDzJohn
    • ‏2012-06-20T17:23:13Z
    http://www-01.ibm.com/software/rational/products/devtest/systemz/sysreq/?S_CMP=rnav

    We have done no testing beyond those OS's listed here.

    RDzJohn
    Thanks John.

    Ok so I will download OpenSuse 11.2 now and then run RDZuT installers.

    Right?

    Thanks again!
  • SystemAdmin
    SystemAdmin
    253 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-20T17:44:38Z  
    Thanks John.

    Ok so I will download OpenSuse 11.2 now and then run RDZuT installers.

    Right?

    Thanks again!
    Is it fine? Because I want a free distro to try that before pay for the licence for SLES or RHEL.

    Thanks
  • weggmo
    weggmo
    4 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-25T15:45:22Z  
    • RDzJohn
    • ‏2012-06-20T17:23:13Z
    http://www-01.ibm.com/software/rational/products/devtest/systemz/sysreq/?S_CMP=rnav

    We have done no testing beyond those OS's listed here.

    RDzJohn
    Hi,

    we have got the same problem with RHEL 6.1

    Do you know wich rpm's we need to make the installer works?

    This is our release and output from the wizard execution:

    root@rdzdesa etc# cat redhat-release
    Red Hat Enterprise Linux Server release 6.1 (Santiago)
    root@rdzdesa etc# uname -a
    Linux rdzdesa 2.6.32-131.0.15.el6.x86_64 #1 SMP Tue May 10 15:42:40 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
    root@rdzdesa mnt# ./RDT85-wizard.bin
    Preparing to install...
    Extracting the JRE from the installer archive...
    Unpacking the JRE...
    Extracting the installation resources from the installer archive...
    Configuring the installer for this system's environment...

    Launching installer...
    Graphical installers are not supported by the VM. The console mode will be used instead...

    Preparing CONSOLE Mode Installation...

    ===============================================================================
    Choose Locale...


    1- Deutsch
    ->2- English
    3- Español
    4- Français
    5- Português (Brasil)

    CHOOSE LOCALE BY NUMBER:
  • RDzJohn
    RDzJohn
    273 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-25T15:49:53Z  
    • weggmo
    • ‏2012-06-25T15:45:22Z
    Hi,

    we have got the same problem with RHEL 6.1

    Do you know wich rpm's we need to make the installer works?

    This is our release and output from the wizard execution:

    root@rdzdesa etc# cat redhat-release
    Red Hat Enterprise Linux Server release 6.1 (Santiago)
    root@rdzdesa etc# uname -a
    Linux rdzdesa 2.6.32-131.0.15.el6.x86_64 #1 SMP Tue May 10 15:42:40 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
    root@rdzdesa mnt# ./RDT85-wizard.bin
    Preparing to install...
    Extracting the JRE from the installer archive...
    Unpacking the JRE...
    Extracting the installation resources from the installer archive...
    Configuring the installer for this system's environment...

    Launching installer...
    Graphical installers are not supported by the VM. The console mode will be used instead...

    Preparing CONSOLE Mode Installation...

    ===============================================================================
    Choose Locale...


    1- Deutsch
    ->2- English
    3- Español
    4- Français
    5- Português (Brasil)

    CHOOSE LOCALE BY NUMBER:
    As of 6.0, RHEL does not by default install the 32 bit compatibility packages. You need to select this option when installing RHEL. You also need all of the X packages.

    RDzJohn
  • weggmo
    weggmo
    4 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-25T16:16:50Z  
    • RDzJohn
    • ‏2012-06-25T15:49:53Z
    As of 6.0, RHEL does not by default install the 32 bit compatibility packages. You need to select this option when installing RHEL. You also need all of the X packages.

    RDzJohn
    Thanks a lot RDzJohn,

    but we have installed all rpm's about libX* with the same result.
    Do you know which rpm's we need?

    We have tried to execute xclock and xterm and them work fine.

    Do you think that we need to reinstall RHEL selecting 32-bit compatibility?

    Greetings!
  • RDzJohn
    RDzJohn
    273 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-25T16:19:23Z  
    • weggmo
    • ‏2012-06-25T16:16:50Z
    Thanks a lot RDzJohn,

    but we have installed all rpm's about libX* with the same result.
    Do you know which rpm's we need?

    We have tried to execute xclock and xterm and them work fine.

    Do you think that we need to reinstall RHEL selecting 32-bit compatibility?

    Greetings!
    That would be the fastest way.

    RDzJohn
  • weggmo
    weggmo
    4 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-26T11:47:19Z  
    • RDzJohn
    • ‏2012-06-25T16:19:23Z
    That would be the fastest way.

    RDzJohn
    Hi RDzJohn,

    we have found the solution.

    yum install xulrunner.i686 -y

    Maybe this helps.

    Greetings!
  • weggmo
    weggmo
    4 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-06-27T10:20:49Z  
    • weggmo
    • ‏2012-06-26T11:47:19Z
    Hi RDzJohn,

    we have found the solution.

    yum install xulrunner.i686 -y

    Maybe this helps.

    Greetings!
    Hi,

    these are all the packages we have installed:
    yum install glibc-2.12-1.25.el6.i686 –y
    yum install libgcc-4.4.5-6.el6.i686 –y
    yum install xulrunner.i686 -y
    yum install libXp*.i686 -y
    yum install libXt*.i686 -y

    Greetings!
  • SystemAdmin
    SystemAdmin
    253 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-07-13T13:41:03Z  
    • weggmo
    • ‏2012-06-27T10:20:49Z
    Hi,

    these are all the packages we have installed:
    yum install glibc-2.12-1.25.el6.i686 –y
    yum install libgcc-4.4.5-6.el6.i686 –y
    yum install xulrunner.i686 -y
    yum install libXp*.i686 -y
    yum install libXt*.i686 -y

    Greetings!
    rafael,
    can you contact me at crichard@us.ibm.com or clrgq.cr@gmail.com
    I am at my wits end trying to install this tool and I would like to know what you did.
  • SystemAdmin
    SystemAdmin
    253 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-08-11T03:30:51Z  
    Hi

    FWIW Installing the 32bit lsb fixed it for me
    yum install redhat-lsb.i686
  • SystemAdmin
    SystemAdmin
    253 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-10-12T21:45:00Z  
    • weggmo
    • ‏2012-06-27T10:20:49Z
    Hi,

    these are all the packages we have installed:
    yum install glibc-2.12-1.25.el6.i686 –y
    yum install libgcc-4.4.5-6.el6.i686 –y
    yum install xulrunner.i686 -y
    yum install libXp*.i686 -y
    yum install libXt*.i686 -y

    Greetings!
    do you know what the packages are for SUSE ?
    I'm having the same issues
    -Mark Neft
  • RDzJohn
    RDzJohn
    273 Posts

    Re: RDZuT Installation - InstallAnyWhere

    ‏2012-10-16T12:49:04Z  
    do you know what the packages are for SUSE ?
    I'm having the same issues
    -Mark Neft
    Mark,
    We'll need you to be more specific on versions, etc... Base SuSE should install the correct packages for an RD&T install.

    RDzJohn